#
# Conditional build:
%bcond_with	tests	# do perform "make test" (disabled b/c tests get stuck on builders)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ScreenColor
Summary:	Term::ScreenColor - screen positioning and coloring module for Perl
Summary(pl.UTF-8):	Term::ScreenColor - moduł pozycjonowania i kolorowania ekranu dla Perla
Name:		perl-Term-ScreenColor
Version:	1.20
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a79bff3bd9ee9dbae05d54864f42bba3
BuildRequires:	perl-Term-Screen
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Term::ScreenColor adds ANSI coloring support, along with a few other
useful methods, to the objects provided in Term::Screen.

%description -l pl.UTF-8
Term::ScreenColor dodaje obsługę kolorów ANSI oraz parę innych
użytecznych metod do obiektów dostarczonych w module Term::Screen.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Term/ScreenColor.pm
%{_mandir}/man3/*
%changelog
* Sat Jun 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Term-ScreenColor.git;a=log;h=master

* Sat Jun 22 2013 Jan Rękorajski <baggins@pld-linux.org> 112fd73
- disable tests
- rel 2

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> a8fd5a6
- up to 1.20

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 98d1b37
- updated to 1.10

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bfd90a4
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a38cf99
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0c698a1
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> bf12bbd
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 8a24c3f
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 9d96709
- rel. 2

* Mon May 03 2004 ankry <ankry@pld-linux.org> ce03d1a
- license fixes, cosmetics

* Tue Apr 13 2004 ankry <ankry@pld-linux.org> 9f2ee35
- cosmetics

* Mon Apr 12 2004 Jakub Bogusz <qboosh@pld-linux.org> e2111d2
- pl, noarch

* Sun Apr 11 2004 Maciej Pijanka <agaran@pld-linux.org> 0eb78c7
- new spec

